<template>
    <div style="display: flex; justify-content: space-between; flex-direction: column">
        <el-main>
            <el-table :data="tableData[pageNumber - 1]">
                <el-table-column prop="kopuk" label="kopuk" width="140">
                </el-table-column>
                <el-table-column prop="address" label="Адрес" width="550">
                </el-table-column>
                <el-table-column prop="fullname" label="Название" width="550">
                </el-table-column>
                <el-table-column prop="territory" label="Область" width="350">
                </el-table-column>
                <el-table-column prop="libraries" label="Кол-во библиотек" width="190" sortable>
                </el-table-column>
                <el-table-column width="95">
                    <template slot-scope="props">
                        <div @click="getItemInfo(props.row)" style="padding: 0 20px">
                            <svg xmlns="http://www.w3.org/2000/svg" width="24" fill="#606266" height="24"
                                 viewBox="0 0 24 24">
                                <path
                                    d="M12.015 7c4.751 0 8.063 3.012 9.504 4.636-1.401 1.837-4.713 5.364-9.504 5.364-4.42 0-7.93-3.536-9.478-5.407 1.493-1.647 4.817-4.593 9.478-4.593zm0-2c-7.569 0-12.015 6.551-12.015 6.551s4.835 7.449 12.015 7.449c7.733 0 11.985-7.449 11.985-7.449s-4.291-6.551-11.985-6.551zm-.015 5c1.103 0 2 .897 2 2s-.897 2-2 2-2-.897-2-2 .897-2 2-2zm0-2c-2.209 0-4 1.792-4 4 0 2.209 1.791 4 4 4s4-1.791 4-4c0-2.208-1.791-4-4-4z"/>
                            </svg>
                        </div>
                    </template>
                </el-table-column>
            </el-table>
        </el-main>
    </div>
</template>

<script>

  export default {
    name: "Table",
    props: {
      tableData: Array,
      pageNumber: Number
    },
    data() {
      return {}
    },
    computed: {},
    methods: {
      getItemInfo(row) {
        this.$router.push({ path: `/${row.kopuk}` })
      }
    }
  }
</script>

<style scoped>
</style>
